--- src/misc/vlm.c.orig	Thu Nov  9 18:14:40 2006
+++ src/misc/vlm.c	Tue Oct 31 18:39:28 2006
@@ -613,7 +613,8 @@
             if( strcmp( ppsz_command[2], "play" ) &&
                 strcmp( ppsz_command[2], "stop" ) &&
                 strcmp( ppsz_command[2], "pause" ) &&
-                strcmp( ppsz_command[2], "seek" ) )
+                strcmp( ppsz_command[2], "seek" ) &&
+                strcmp( ppsz_command[2], "msecseek" ) )
             {
                 i_index++;
                 psz_instance = ppsz_command[2];
@@ -1274,6 +1275,23 @@
             }
         }
     }
+    else if( !strcmp( psz_command, "msecseek" ) )
+    {
+        double d_msec;
+        vlc_value_t val, current;
+
+        if( psz_args )
+        {
+            d_msec = i18n_atof( psz_args );
+            val.i_time = (int64_t)(d_msec * 1000);
+            var_Get( p_instance->p_input, "length", &current );
+            if( val.i_time >= 0 && val.i_time <= current.i_time )
+            {
+                var_Set( p_instance->p_input, "time", val );
+                return VLC_SUCCESS;
+            }
+        }
+    }
     else if( !strcmp( psz_command, "rewind" ) )
     {
         float f_pos;
@@ -2044,6 +2062,7 @@
         MessageAddChild( "pause" );
         MessageAddChild( "stop" );
         MessageAddChild( "seek (percentage)" );
+        MessageAddChild( "msecseek (time in milliseconds)" );
 
         return message;
     }
